exception_ptr.h File Reference

Go to the source code of this file.

## Classes

class | std::__unspecified__::exception_ptr

## Namespaces

namespace | std

## Functions

exception_ptr | std::current_exception () noexcept
template<typename _Ex >
exception_ptr | std::make_exception_ptr (_Ex __ex) noexcept
void | std::rethrow_exception (exception_ptr)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <exception>.

Definition in file exception_ptr.h.

## Macro Definition Documentation

## _GLIBCXX_EH_PTR_USED

#define _GLIBCXX_EH_PTR_USED

Definition at line 47 of file exception_ptr.h.